create table sys_social
(
    id                 bigint                        not null comment '主键'
        primary key,
    user_id            bigint                        not null comment '用户ID',
    tenant_id          varchar(20)  default '000000' null comment '租户id',
    auth_id            varchar(255)                  not null comment '平台+平台唯一id',
    source             varchar(255)                  not null comment '用户来源',
    open_id            varchar(255)                  null comment '平台编号唯一id',
    user_name          varchar(30)                   not null comment '登录账号',
    nick_name          varchar(30)  default ''       null comment '用户昵称',
    email              varchar(255) default ''       null comment '用户邮箱',
    avatar             varchar(500) default ''       null comment '头像地址',
    access_token       varchar(2000)                 not null comment '用户的授权令牌',
    expire_in          int                           null comment '用户的授权令牌的有效期，部分平台可能没有',
    refresh_token      varchar(255)                  null comment '刷新令牌，部分平台可能没有',
    access_code        varchar(2000)                 null comment '平台的授权信息，部分平台可能没有',
    union_id           varchar(255)                  null comment '用户的 unionid',
    scope              varchar(255)                  null comment '授予的权限，部分平台可能没有',
    token_type         varchar(255)                  null comment '个别平台的授权信息，部分平台可能没有',
    id_token           varchar(2000)                 null comment 'id token，部分平台可能没有',
    mac_algorithm      varchar(255)                  null comment '小米平台用户的附带属性，部分平台可能没有',
    mac_key            varchar(255)                  null comment '小米平台用户的附带属性，部分平台可能没有',
    code               varchar(255)                  null comment '用户的授权code，部分平台可能没有',
    oauth_token        varchar(255)                  null comment 'Twitter平台用户的附带属性，部分平台可能没有',
    oauth_token_secret varchar(255)                  null comment 'Twitter平台用户的附带属性，部分平台可能没有',
    create_dept        bigint                        null comment '创建部门',
    create_by          bigint                        null comment '创建者',
    create_time        datetime                      null comment '创建时间',
    update_by          bigint                        null comment '更新者',
    update_time        datetime                      null comment '更新时间',
    del_flag           char         default '0'      null comment '删除标志（0代表存在 1代表删除）'
)
    comment '社会化关系表';

